# stdex: stdex::errno_error Class Reference

Loading...
Searching...
No Matches
stdex::errno_error Class Reference

Standard C runtime library error. More...

`#include <stdex/errno.hpp>`

Inheritance diagram for stdex::errno_error:

## Public Member Functions

| errno_error (errno_t num, const std::string &msg)
| Constructs an exception.
| errno_error (errno_t num, const char *msg=nullptr)
| Constructs an exception.
| errno_error (const std::string &msg)
| Constructs an exception using `GetLastError()`
| errno_error (const char *msg=nullptr)
| Constructs an exception using `GetLastError()`
errno_t | number () const
| Returns the error number.

## Protected Attributes

errno_t | m_num
| Numeric error code.

## Detailed Description

Standard C runtime library error.

## Constructor & Destructor Documentation

## errno_error() [1/4]

stdex::errno_error::errno_error | ( | errno_t | num,
|  | const std::string & | msg
| ) |  |

inline

Constructs an exception.

Parameters

  [in] | num | Numeric error code
  [in] | msg | Error message

## errno_error() [2/4]

stdex::errno_error::errno_error | ( | errno_t | num,
|  | const char * | msg = `nullptr`
| ) |  |

inline

Constructs an exception.

Parameters

  [in] | num | Numeric error code
  [in] | msg | Error message

## errno_error() [3/4]

stdex::errno_error::errno_error | ( | const std::string & | msg | ) |

inline

Constructs an exception using `GetLastError()`

Parameters

  [in] | msg | Error message

## errno_error() [4/4]

stdex::errno_error::errno_error | ( | const char * | msg = `nullptr` | ) |

inline

Constructs an exception using `GetLastError()`

Parameters

  [in] | msg | Error message

The documentation for this class was generated from the following file:

- include/stdex/errno.hpp